"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = build;

var _path = _interopRequireDefault(require("path"));

var _chalk = _interopRequireDefault(require("chalk"));

var _del = _interopRequireDefault(require("del"));

var _compile = _interopRequireDefault(require("../utils/compile"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function build({
  root,
  source,
  output,
  options,
  report
}) {
  report.info(`Cleaning up previous build at ${_chalk.default.blue(_path.default.relative(root, output))}`);
  await (0, _del.default)([output]);
  await (0, _compile.default)({
    root,
    source,
    output,
    modules: false,
    babelrc: options === null || options === void 0 ? void 0 : options.babelrc,
    configFile: options === null || options === void 0 ? void 0 : options.configFile,
    copyFlow: options === null || options === void 0 ? void 0 : options.copyFlow,
    report
  });
}
//# sourceMappingURL=module.js.map