"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = jetifier;

var _path = _interopRequireDefault(require("path"));

var _chalk = _interopRequireDefault(require("chalk"));

var _child_process = require("child_process");

var _fsExtra = _interopRequireDefault(require("fs-extra"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function jetifier({
  root,
  input,
  output,
  reverse
}) {
  const jetifierStandalone = _path.default.join(root, 'node_modules', '.bin', 'jetifier-standalone');

  if (await _fsExtra.default.pathExists(jetifierStandalone)) {
    const args = ['-i', input, '-o', output];

    if (reverse) {
      args.push('-r');
    }

    (0, _child_process.execFileSync)(jetifierStandalone, args);
  } else {
    throw new Error(`The ${_chalk.default.blue('jetifier')} binary doesn't seem to be installed under ${_chalk.default.blue('node_modules')}. Make sure you have added ${_chalk.default.blue('jetifier')} to your ${_chalk.default.blue('devDependencies')}.`);
  }
}
//# sourceMappingURL=jetifier.js.map