"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.exit = exports.success = exports.error = exports.warn = exports.info = void 0;

var _chalk = _interopRequireDefault(require("chalk"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const logger = (type, color) => (...messages) => {
  console.log(color(_chalk.default.bold(type)), ...messages);
};

const info = logger('ℹ', _chalk.default.blue);
exports.info = info;
const warn = logger('⚠', _chalk.default.yellow);
exports.warn = warn;
const error = logger('✖', _chalk.default.red);
exports.error = error;
const success = logger('✔', _chalk.default.green);
exports.success = success;

const exit = (...messages) => {
  error(...messages);
  process.exit(1);
};

exports.exit = exit;
//# sourceMappingURL=logger.js.map